This is the multi-page printable view of this section. Click here to print.
GetListOfNamespacesByAlerts
- 1: 1.4
1 - 1.4
get /v1/alerts/namespaces
Description
Get list of Namespaces by alerts
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NamespaceListByAlertsResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts/namespaces
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Example HTTP response
Response 200
{
"count": 1,
"namespaces": [
{
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "이것은 Virtual Server에 대한 설명입니다.",
"id": "1d9d05af5c624f2cb80a45f2c911e2f4",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Virtual Server",
"region_id": "kr-west1",
"service_id": ""
}
]
}